GET /booking/pastbooking

viator.com

Summary: /booking/pastbooking
Operation ID: bookingPastbooking
Auth: unknown
Description

Get the details of a single specific past booking based on the `voucherKey` or `itemId` and email address sent in the request. **Note**: this service will only return past bookings that were made with the same API key that was used to make the booking **Sample query parameters**: - email=apitest@viator.com&itemId=580669678 **or** - voucherKey=1005851866:4af44c13ecf3f1a7d3f9ef2fc00c2257e08fa42ae20f877f3039ff9b52aba24e:580669678 **email** - The email address passed must match the email address associated with the booking **Departure details** - Departure details such as the `departurePoint`, `departurePointAddress` and `departurePointDirections` is included in the response. - These fields may contain HTML escape characters such as & and special characters that are escaped by a backslash. Ensure that these fields are parsed after receiving the response as it will cause your JSON to be invalid. For more information, see: [Reviewing bookings](#section/Common-workflows-and-data-validation/Reviewing-bookings)

Parameters (4)

Accept-Language (string, header, required)

Specifies the language into which the natural-language fields in the response from this service will be translated (see [Accept-Language header](#section/Appendices/Accept-Language-header) for available langage codes)

email (string, query, optional)

**email address** by which to search for past bookings

itemId (string, query, optional)

Search for a booking with this **unique booking-reference number**. See [Booking references](#section/Key-concepts/Booking-references) for more information.

voucherKey (string, query, optional)

**specifier** of past booking type (use *one* of: `itemId` (booking reference) *and* `'voucherKey'` *or* `'email'`)

No probe data for this endpoint yet.